cURL
curl --request POST \
--url https://api.transmit.dev/v1/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"subscribed_events": [
"<string>"
],
"nickname": "<string>"
}
'import requests
url = "https://api.transmit.dev/v1/webhooks"
payload = {
"url": "<string>",
"subscribed_events": ["<string>"],
"nickname": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', subscribed_events: ['<string>'], nickname: '<string>'})
};
fetch('https://api.transmit.dev/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"url": "<string>",
"subscribed_events": [
"<string>"
],
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"nickname": "<string>",
"secret": "<string>",
"last_delivery_at": "2023-11-07T05:31:56Z",
"failure_count": 123,
"success_count": 123,
"total_delivery_count": 123
}{
"code": "<string>",
"message": "<string>",
"statusCode": 123,
"details": "<unknown>"
}{
"code": "<string>",
"message": "<string>",
"statusCode": 123,
"details": "<unknown>"
}{
"code": "<string>",
"message": "<string>",
"statusCode": 123,
"details": "<unknown>"
}Webhooks
Post v1webhooks
Create a new webhook for receiving event notifications. The webhook secret is only returned once upon creation.
POST
/
v1
/
webhooks
cURL
Authorizations
Enter your API key with 'tx_' prefix. Get your API key from the dashboard.
Body
application/json
Response
Webhook created successfully
Webhook ID
Webhook URL
Subscribed event types
Webhook status
Available options:
active, inactive Creation timestamp
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Last update timestamp
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Webhook nickname
Webhook secret (only returned on creation)
Last delivery timestamp
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Failed delivery count
Successful delivery count
Total delivery attempts